libzypp 17.37.10

zypp::xml::ParseDefTraits Struct Reference

`#include <zypp/parser/xml/ParseDefTraits.h>`

## Public Types
enum | TypeValue { BIT_OPTIONAL = bit::RangeValue<TypeBits,0>::value , BIT_MANDTAORY = bit::RangeValue<TypeBits,1>::value }
enum | VisitValue { BIT_ONCE = bit::RangeValue<VisitBits,0>::value , BIT_MULTIPLE = bit::RangeValue<VisitBits,1>::value }
using | ModeBitsType = unsigned char
using | ModeBits = bit::BitField<ModeBitsType>
using | TypeBits = bit::Range<ModeBitsType, 0, 1>
using | VisitBits = bit::Range<ModeBitsType, TypeBits::end, 1>

## Detailed Description

Definition at line 29 of file ParseDefTraits.h.

## Member Typedef Documentation

## ◆ ModeBitsType

using zypp::xml::ParseDefTraits::ModeBitsType = unsigned char

Definition at line 31 of file ParseDefTraits.h.

## ◆ ModeBits

using zypp::xml::ParseDefTraits::ModeBits = bit::BitField<ModeBitsType>

Definition at line 32 of file ParseDefTraits.h.

## ◆ TypeBits

using zypp::xml::ParseDefTraits::TypeBits = bit::Range<ModeBitsType, 0, 1>

Definition at line 33 of file ParseDefTraits.h.

## ◆ VisitBits

using zypp::xml::ParseDefTraits::VisitBits = bit::Range<ModeBitsType, TypeBits::end, 1>

Definition at line 34 of file ParseDefTraits.h.

## Member Enumeration Documentation

## ◆ TypeValue

enum zypp::xml::ParseDefTraits::TypeValue

Enumerator
BIT_OPTIONAL |
BIT_MANDTAORY |

Definition at line 36 of file ParseDefTraits.h.

## ◆ VisitValue

enum zypp::xml::ParseDefTraits::VisitValue

Enumerator
BIT_ONCE |
BIT_MULTIPLE |

Definition at line 42 of file ParseDefTraits.h.

The documentation for this struct was generated from the following file:

- zypp/parser/xml/ParseDefTraits.h